Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740936 - gnustep-apps/simpleagenda: stabilisation then cleanup (was: stuck on EAPI 4)
Summary: gnustep-apps/simpleagenda: stabilisation then cleanup (was: stuck on EAPI 4)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gnustep herd
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-09-07 23:45 UTC by Sam James
Modified: 2020-10-02 20:12 UTC (History)
1 user (show)

See Also:
Package list:
gnustep-apps/simpleagenda-0.44
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-09-07 23:45:20 UTC
Please port to newer EAPI (ideally 7).

See https://github.com/poroussel/simpleagenda for possible version bump to 0.44.
Comment 1 Bernard Cafarelli gentoo-dev 2020-09-16 07:01:23 UTC
Thanks, I will update homepage and rest at same time
Comment 2 Larry the Git Cow gentoo-dev 2020-09-16 07:09:40 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96885688445840d141d6eac36de49bf03c8415bd

commit 96885688445840d141d6eac36de49bf03c8415bd
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2020-09-16 07:09:23 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2020-09-16 07:09:36 +0000

    gnustep-apps/simpleagenda: 0.44 version bump
    
    EAPI bump and new homepage
    
    Bug: https://bugs.gentoo.org/740936
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 gnustep-apps/simpleagenda/Manifest                 |  1 +
 gnustep-apps/simpleagenda/metadata.xml             |  3 +++
 gnustep-apps/simpleagenda/simpleagenda-0.44.ebuild | 24 ++++++++++++++++++++++
 3 files changed, 28 insertions(+)
Comment 3 Bernard Cafarelli gentoo-dev 2020-09-16 07:12:40 UTC
Keeping bug open to track old version removal
Comment 4 Sam James archtester gentoo-dev Security 2020-09-18 17:14:16 UTC
(In reply to Bernard Cafarelli from comment #3)
> Keeping bug open to track old version removal

Thanks! Adjusting bug in preparation.
Comment 5 Sam James archtester gentoo-dev Security 2020-10-02 00:59:37 UTC
amd64 done
Comment 6 Sam James archtester gentoo-dev Security 2020-10-02 20:09:29 UTC
x86 done
Comment 7 Sam James archtester gentoo-dev Security 2020-10-02 20:10:49 UTC
ppc stable
Comment 8 Larry the Git Cow gentoo-dev 2020-10-02 20:11:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1cd2a53cab08c2f520b6f1ddb45eec223a3abf39

commit 1cd2a53cab08c2f520b6f1ddb45eec223a3abf39
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-10-02 20:10:59 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-10-02 20:10:59 +0000

    gnustep-apps/simpleagenda: cleanup old EAPI 4
    
    Closes: https://bugs.gentoo.org/740936
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 gnustep-apps/simpleagenda/Manifest                 |  1 -
 gnustep-apps/simpleagenda/simpleagenda-0.43.ebuild | 27 ----------------------
 2 files changed, 28 deletions(-)